<?php

// Логин
define('ALFA_MERCHANT_LOGIN', '');

// Пароль
define('ALFA_MERCHANT_PASSWORD', '');

// Тестовый режим. true = Включен; false = Выключен
define('ALFA_TEST_MODE', true);

// Двустадийные платежи true = Включен; false = Выключен
define('ALFA_TWO_STAGE', false);

// Страница возврата, при успешной оплате
define('ALFA_SUCCESS_URL', 'http://');

// Страница возврата, если оплата прошла неуспешно
define('ALFA_ERROR_URL', 'http://');

// Передавать корзину на шлюз true = Включен; false = Выключен
define('ALFA_SEND_ORDER', false);

// Система налогообложения
//		* 0 - общая;
//		* 1 - упрощённая, доход;
//		* 2 - упрощённая, доход минус расход;
//		* 3 - единый налог на вменённый доход;
//		* 4 - единый сельскохозяйственный налог;
//		* 5 - патентная система налогообложения;

define('ALFA_TAX_SYSTEM', 0);

// НДС на позиции
// 0 = Без НДС
// 2 = НДС чека по ставке 10%
// 3 = НДС чека по ставке 18%
// 6 = НДС чека по ставке 20%

define('ALFA_VAT_RATE', 6);

// Версия формата фискальных документов (ФФД)
// (ВАЖНО!) ФОРМАТ ВЕРСИИ ТРЕБУЕТСЯ УКАЗАТЬ В ЛИЧНОМ КАБИНЕТЕ БАНКА И В КАБИНЕТЕ СЕРВИСА ФИСКАЛИЗАЦИИ.
// * доступны следующие значения:
//		v10
//		v105

define('ALFA_FFD_VERSION', 'v105');

// Тип оплаты возможны следующие значения, используется в версих ФФД, начиная с 1.05
//
//		* 1 - полная предварительная оплата до момента передачи предмета расчёта;
//		* 2 - частичная предварительная оплата до момента передачи предмета расчёта;
//		* 3 - аванс;
//		* 4 - полная оплата в момент передачи предмета расчёта;
//		* 5 - частичная оплата предмета расчёта в момент его передачи с последующей оплатой в кредит;
//		* 6 - передача предмета расчёта без его оплаты в момент его передачи с последующей оплатой в кредит;
//		* 7 - оплата предмета расчёта после его передачи с оплатой в кредит.

define('ALFA_FFD_PAYMENT_METHOD', 1);

// Тип оплачиваемой позиции, используется в версих ФФД, начиная с 1.05
//
//		* 1 - товар;
//		* 2 - подакцизный товар;
//		* 3 - работа;
//		* 4 - услуга;
//		* 5 - ставка азартной игры;
//		* 6 - выигрыш азартной игры;
//		* 7 - лотерейный билет;
//		* 8 - выигрыш лотереи;
//		* 9 - предоставление РИД;
//		* 10 - платёж;
//		* 11 - агентское вознаграждение;
//		* 12 - составной предмет расчёта;
//		* 13 - иной предмет расчёта.

define('ALFA_FFD_PAYMENT_OBJECT', 1);

// Адреса платежных шлюзов
define('ALFA_PROD_URL' , 'https://ecom.alfabank.ru/api/rest/');
define('ALFA_TEST_URL' , 'https://tws.egopay.ru/api/ab/rest/');

// Альтернативный URL адрес для боевого шлюза
define('ALFA_PROD_URL_ALT' , 'https://ecom.alfabank.ru/api/rest/'); // Example 'https://site.ru/payment/rest'

// Префикс для определения новых пользователей
define('ALFA_PROD_URL_ALT_PREFIX' , 'r-');

// Логирование, по умолчанию выключено. true = Включен; false = Выключен
define('ALFA_LOGGING', true);

// Режим перерасчета цен на позиции в чеке, если на общую сумму заказа была применена скидка. true = Включен; false = Выключен
define('ALFA_DISCOUNT_ENABLED', true);
